Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046622
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSminorhave not tried2021-05-11 17:112021-07-26 13:00
ReporterplujanView Statuspublic 
Assigned Toagonzalez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046622: [21Q2] The textbox to update the quantity does not limit the maximum amount

DescriptionWhen opening the details of a line, the quantity field allows any value. When entering non numeric values, nothing happens, but I can enter for example "9.998887776665555e+129" and it is accepted
Steps To Reproducein a ticket with one avalanche transceiver, open the details of the line and change the quantity. Notice that impossible big numbers are allowed. Example in the attached screenshot
Proposed Solution- non numeric values should not be accepted
- the length of the Qty for a line should be capped to a reasonable number
TagsNo tags attached.
Attached Filespng file icon bignumbersticket.png [^] (68,443 bytes) 2021-05-11 17:11

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046698pi closedjarmendariz Keypad component allows to add characters in numeric inputs 

-  Notes
(0130709)
hgbot (developer)
2021-07-22 22:10

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/625 [^]
(0130710)
hgbot (developer)
2021-07-22 22:10

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/607 [^]
(0130757)
hgbot (developer)
2021-07-26 13:00

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/625 [^]
(0130758)
hgbot (developer)
2021-07-26 13:00

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/607 [^]

- Issue History
Date Modified Username Field Change
2021-05-11 17:11 plujan New Issue
2021-05-11 17:11 plujan Assigned To => Retail
2021-05-11 17:11 plujan File Added: bignumbersticket.png
2021-05-11 17:11 plujan Resolution time => 1624399200
2021-05-11 17:11 plujan Triggers an Emergency Pack => No
2021-05-12 09:57 guilleaer Status new => acknowledged
2021-07-14 09:53 dmiguelez Resolution time 1624399200 => 1633039200
2021-07-15 17:57 dmiguelez Relationship added related to 0046698
2021-07-22 22:10 hgbot Note Added: 0130709
2021-07-22 22:10 hgbot Note Added: 0130710
2021-07-26 13:00 hgbot Note Added: 0130757
2021-07-26 13:00 hgbot Note Added: 0130758
2021-07-26 13:00 dmiguelez Status acknowledged => scheduled
2021-07-26 13:00 dmiguelez Assigned To Retail => agonzalez
2021-07-26 13:00 dmiguelez Status scheduled => resolved
2021-07-26 13:00 dmiguelez Resolution open => fixed
2021-07-26 13:00 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker